%define anolis_release 1

%bcond_without check

Name:           cargo2rpm
Version:        0.1.15
Release:        %{anolis_release}%{?dist}
Summary:        Translation layer between cargo and RPM
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  %{py3_dist pytest}
%endif

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%pyproject_check_import
%if %{with check}
%pytest
%endif

%files -f %{pyproject_files}
%{_bindir}/cargo2rpm

%files doc
%doc README.md CHANGELOG.md

%changelog
* Fri Apr 12 2024 mgb01105731 <mgb01105731@alibaba-inc.com.com> - 0.1.15-1
- Init upstream from version 0.1.15
